Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util.ssi
Class ServletOutputStreamWrapper

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--javax.servlet.ServletOutputStream
                  |
                  +--org.apache.catalina.util.ssi.ServletOutputStreamWrapper

public final class ServletOutputStreamWrapper
extends javax.servlet.ServletOutputStream

Class that extends ServletOuputStream, used as a wrapper from within `SsiInclude`

Version:
  $Revision: 1.2 $, $Date: 2001/04/26 22:58:49 $
Author:
  Bip Thelin
See Also:
  `ServletOutputStream`

Constructor Summary
`ServletOutputStreamWrapper()` Construct a new ServletOutputStream

Method Summary
`void` | `write(int b)` Write to our buffer
`void` | `writeTo(java.io.OutputStream out)` Write our stream to the `OutputStream` provided.

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletOutputStreamWrapper

    public ServletOutputStreamWrapper()

  Construct a new ServletOutputStream

Method Detail

### writeTo

    public final void writeTo(java.io.OutputStream out)
                       throws java.io.IOException

  Write our stream to the `OutputStream` provided.
  Parameters:
    `out` - the OutputStream to write this stream to
  Throws:
    `java.io.IOException` - if an input/output error occurs

### write

    public final void write(int b)

  Write to our buffer
  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - The parameter to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.